Get Rounds
curl --request GET \
--url https://api.16tms.com/api/v1/rounds \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.16tms.com/api/v1/rounds"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.16tms.com/api/v1/rounds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"items": [
{
"id": "f644bc75-8786-40a3-b475-017b6f81ba54",
"tournamentId": "d39102c1-a8af-4ecb-9f99-8b0fe8fe993b",
"roundName": "Round 3",
"description": "Auto-generated round 3",
"teamCount": 0,
"matchesPerGroup": 0,
"startDate": "2026-02-11T08:37:00Z",
"endDate": "2026-02-19T08:37:00Z",
"roundType": 5,
"status": 3,
"roundNumber": 3,
"numberOfGroups": 0,
"numberOfMatches": 1
}
],
"totalCount": 123,
"pageNumber": 123,
"pageSize": 123,
"totalPages": 123
},
"meta": {
"traceId": "00-f125448ab05644fa80f36b22f1d71ac5-0124b07dc253ea94-00",
"elapsedMs": 70.26,
"serverTimestamp": "2026-02-12T11:21:26.4669586Z"
}
}API Reference
Get Rounds
Fetch a list of rounds, optionally filtered by tournament.
GET
/
rounds
Get Rounds
Authorizations
API key for authentication.
Query Parameters
Filter by Tournament ID
Page number
Items per page
⌘I